## libglvnd 1.3.2

=== meson_options.txt ===
# Copyright © 2019 Intel Corporation

# Permission is hereby granted, free of charge, to any person obtaining a
# copy of this software and/or associated documentation files (the
# "Materials"), to deal in the Materials without restriction, including
# without limitation the rights to use, copy, modify, merge, publish,
# distribute, sublicense, and/or sell copies of the Materials, and to
# permit persons to whom the Materials are furnished to do so, subject to
# the following conditions:

# The above copyright notice and this permission notice shall be included
# unaltered in all copies or substantial portions of the Materials.
# Any additions, deletions, or changes to the original source files
# must be clearly indicated in accompanying documentation.

# If only executable code is distributed, then the accompanying
# documentation must state that "this software is based in part on the
# work of the Khronos Group."

# THE MATERIALS ARE PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
# IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
# CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
# TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
# MATERIALS OR THE USE OR OTHER DEALINGS IN THE MATERIALS.

option(
  'asm',
  type : 'feature',
  description : 'Use ASM when compiling.'
)
option(
  'x11',
  type : 'feature',
  description : 'Support the X11 window system.'
)
option(
  'egl',
  type : 'boolean',
  value : true,
  description : 'Support the EGL platform.'
)
option(
  'glx',
  type : 'feature',
  description : 'Support the GLX platform.'
)
option(
  'gles1',
  type : 'boolean',
  value : true,
  description : 'Support OpenGL ES 1.x.'
)
option(
  'gles2',
  type : 'boolean',
  value : true,
  description : 'Support OpenGL ES 2.x and 3.x.'
)
option(
  'tls',
  type : 'feature',
  description : 'Use Thread Local Storage.'
)
option(
  'dispatch-page-size',
  type : 'integer',
  value : 0,
  description : 'Page size to align static dispatch stubs.'
)
option(
  'headers',
  type : 'boolean',
  value : true,
  description : 'Install headers for enabled APIs.'
)

## libglvnd 1.0.0

=== debian/changelog ===
libglvnd (1.0.0-2ubuntu2) bionic; urgency=medium

  * debian/patches/fix-egl-platform-detection-crash:
    - Fix code in EGL platform detection that crashes when passed
      a Mir object

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Mon, 05 Mar 2018 10:45:22 +0100

libglvnd (1.0.0-2ubuntu1) bionic; urgency=medium

  * control: Fix Breaks/Replaces to match Ubuntu mesa upload which
    enabled GLVND.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 13 Feb 2018 17:51:05 +0200

libglvnd (1.0.0-2) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Add bug-control file to report whether the proprietary nvidia driver is
    installed.
  * Switch to dh_missing --fail-missing.

  [ Andreas Boll ]
  * Bump standards version to 4.1.2.
  * control: Remove duplicated Section fields.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 26 Jan 2018 13:48:45 +0200

libglvnd (1.0.0-1.1) unstable; urgency=medium

  [ Samuel Thibault ]
  * Non-maintainer upload.

  [ Andreas Beckmann ]
  * Use source format 3.0 (quilt).
  * kfreebsd-hurd.patch: New, fix FTBFS on kFreeBSD and Hurd.
    (Closes: #870445)

 -- Samuel Thibault <sthibault@debian.org>  Sat, 13 Jan 2018 09:16:09 +0000

libglvnd (1.0.0-1) unstable; urgency=high

  [ Andreas Boll ]
  * Add versioned libglvnd0 dependencies (Workaround for #878851).
  * Raise Priority to optional.
  * Bump standards version to 4.1.1.

  [ Timo Aaltonen ]
  * New upstream release.
  * Add a watch file for uscan.
  * libgles2.symbols: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 09 Nov 2017 12:14:14 +0200

libglvnd (0.2.999+git20170802-5) unstable; urgency=medium

  * control: Mark libglvnd-dev and -core-dev as M-A: same.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 28 Sep 2017 23:04:06 +0300

libglvnd (0.2.999+git20170802-4) unstable; urgency=medium

  * control: libglvnd-dev Breaks/Replaces old libegl1-mesa-dev/libgl1-
    mesa-dev/libgles2-mesa-dev. (Closes: #875446)

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 12 Sep 2017 10:32:47 +0300

libglvnd (0.2.999+git20170802-3) unstable; urgency=medium

  [ Timo Aaltonen ]
  * control: Add Breaks/Replaces to match mesa upload which enabled
    GLVND. (Closes: #870686)
  * control: Add back depends on default libegl/libglx vendor.

  [ Andreas Beckmann ]
  * libgl1: Add Breaks against glx-diversions (<< 0.8) which did not divert
    libGL.so.1.0.0.
  * libglvnd0: Add Breaks+Replaces: libgldispatch0-nvidia which also shipped
    libGLdispatch.so.0.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 01 Sep 2017 11:15:04 +0300

libglvnd (0.2.999+git20170802-2) unstable; urgency=medium

  * libglvnd0.symbols: Fix a typo.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 02 Aug 2017 12:27:51 +0300

libglvnd (0.2.999+git20170802-1) unstable; urgency=medium

  * New upstream snapshot.
  * libglx0.symbols: Updated.
  * libglvnd0.symbols: Arm64 doesn't have support for TLS stubs yet.
    (Closes: #870444)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 02 Aug 2017 09:33:03 +0300

libglvnd (0.2.999+git20170201-4) experimental; urgency=medium

  * copyright: Updated.
  * control: Bump policy to 4.0.0, no changes.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 01 Aug 2017 18:10:39 +0300

libglvnd (0.2.999+git20170201-3) experimental; urgency=medium

  * control: Drop depends on lib{egl,glx}-mesa0 | -vendor, these are
    only for default driver policy and will be added back once we switch
    mesa to use libglvnd.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 11 May 2017 10:56:23 +0300

libglvnd (0.2.999+git20170201-2) experimental; urgency=medium

  * control: Add depends on default libegl/libglx vendor.
  * control: Drop useless P/R/C: libegl1-x11 from libegl1.
  * control: Split libglx0 from libgl1.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 09 Feb 2017 11:42:36 +0200

libglvnd (0.2.999+git20170201-1) experimental; urgency=medium

  [ Timo Aaltonen ]
  * New upstream snapshot.
  * Add symbols file.
  * Split packaging so that Mesa can be bootstrapped to use this.

  [ Andreas Boll ]
  * copyright: Add missing wildcard.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 03 Feb 2017 10:47:42 +0200

libglvnd (0.2.999+git20161203-1) experimental; urgency=low

  * Initial release (Closes: #812530)

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 03 Dec 2016 02:09:57 +0200

=== debian/control ===
Source: libglvnd
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: Timo Aaltonen <tjaalton@debian.org>
Build-Depends:
 debhelper (>= 10),
 pkg-config,
 libx11-dev,
 libxext-dev,
 python-dev,
 python-libxml2,
 x11proto-gl-dev,
Standards-Version: 4.1.2
Section: libs
Homepage: https://github.com/NVIDIA/libglvnd
Vcs-Git: https://anonscm.debian.org/git/pkg-xorg/lib/libglvnd.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-xorg/lib/libglvnd.git

Package: libglvnd-dev
Section: libdevel
Architecture: any
Depends:
 libglvnd0 (= ${binary:Version}),
 libglvnd-core-dev (= ${binary:Version}),
 libegl1 (= ${binary:Version}),
 libgles2 (= ${binary:Version}),
 libgl1 (= ${binary:Version}),
 libglx0 (= ${binary:Version}),
 libopengl0 (= ${binary:Version}),
 ${misc:Depends},
Breaks:
 libegl1-mesa-dev (<< 18.0.0~rc4-1ubuntu1),
 libgl1-mesa-dev (<< 18.0.0~rc4-1ubuntu1),
 libgles2-mesa-dev (<< 18.0.0~rc4-1ubuntu1),
Replaces:
 libegl1-mesa-dev (<< 18.0.0~rc4-1ubuntu1),
 libgl1-mesa-dev (<< 18.0.0~rc4-1ubuntu1),
 libgles2-mesa-dev (<< 18.0.0~rc4-1ubuntu1),
Multi-Arch: same
Description: Vendor neutral GL dispatch library -- development files
 This is an implementation of the vendor-neutral dispatch layer for
 arbitrating OpenGL API calls between multiple vendors on a per-screen basis.
 .
 This package contains the development files for libglvnd.

Package: libglvnd-core-dev
Section: libdevel
Architecture: any
Depends:
 ${misc:Depends},
Breaks: libglvnd-dev (<< 0.2.999+git20170201-1)
Replaces: libglvnd-dev (<< 0.2.999+git20170201-1)
Multi-Arch: same
Description: Vendor neutral GL dispatch library -- core development files
 This is an implementation of the vendor-neutral dispatch layer for
 arbitrating OpenGL API calls between multiple vendors on a per-screen basis.
 .
 This package contains the header files for libglvnd split in a separate
 package for Mesa.

Package: libglvnd0
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Breaks:
 libgldispatch0-nvidia,
Replaces:
 libgldispatch0-nvidia,
Multi-Arch: same
Description: Vendor neutral GL dispatch library
 This is an implementation of the vendor-neutral dispatch layer for
 arbitrating OpenGL API calls between multiple vendors on a per-screen basis.
 .
 This package contains the GL dispatch library.

Package: libegl1
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libglvnd0 (= ${binary:Version}),
 libegl-mesa0 | libegl-vendor,
Replaces:
 libegl1-mesa (<< 18.0.0~rc4-1ubuntu1),
 libglvnd0 (<< 0.2.999+git20170201-1)
Breaks:
 libegl1-mesa (<< 18.0.0~rc4-1ubuntu1),
 libglvnd0 (<< 0.2.999+git20170201-1)
Multi-Arch: same
Description: Vendor neutral GL dispatch library -- EGL support
 This is an implementation of the vendor-neutral dispatch layer for
 arbitrating OpenGL API calls between multiple vendors on a per-screen basis.
 .
 This package contains support for EGL.

Package: libgles2
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libglvnd0 (= ${binary:Version}),
Replaces:
 libgles2-mesa (<< 18.0.0~rc4-1ubuntu1),
Breaks:
 libgles2-mesa (<< 18.0.0~rc4-1ubuntu1),
Multi-Arch: same
Description: Vendor neutral GL dispatch library -- GLES support
 This is an implementation of the vendor-neutral dispatch layer for
 arbitrating OpenGL API calls between multiple vendors on a per-screen basis.
 .
 This package contains support for GLES.

Package: libgl1
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libglvnd0 (= ${binary:Version}),
 libglx0 (= ${binary:Version}),
Replaces:
 libgl1-mesa-glx (<< 18.0.0~rc4-1ubuntu1),
 libglvnd0 (<< 0.2.999+git20170201-1)
Breaks:
 libgl1-mesa-glx (<< 18.0.0~rc4-1ubuntu1),
 libglvnd0 (<< 0.2.999+git20170201-1),
 glx-diversions (<< 0.8),
Multi-Arch: same
Description: Vendor neutral GL dispatch library -- legacy GL support
 This is an implementation of the vendor-neutral dispatch layer for
 arbitrating OpenGL API calls between multiple vendors on a per-screen basis.
 .
 This package contains support for old libGL for compatibility reasons.

Package: libglx0
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libglvnd0 (= ${binary:Version}),
 libglx-mesa0 | libglx-vendor,
Replaces:
 libgl1-mesa-glx (<< 18.0.0~rc4-1ubuntu1),
 libglvnd0 (<< 0.2.999+git20170201-1)
Breaks:
 libgl1-mesa-glx (<< 18.0.0~rc4-1ubuntu1),
 libglvnd0 (<< 0.2.999+git20170201-1)
Multi-Arch: same
Description: Vendor neutral GL dispatch library -- GLX support
 This is an implementation of the vendor-neutral dispatch layer for
 arbitrating OpenGL API calls between multiple vendors on a per-screen basis.
 .
 This package contains support for GLX.

Package: libopengl0
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libglvnd0 (= ${binary:Version}),
Replaces: libglvnd0 (<< 0.2.999+git20170201-1)
Breaks: libglvnd0 (<< 0.2.999+git20170201-1)
Multi-Arch: same
Description: Vendor neutral GL dispatch library -- OpenGL support
 This is an implementation of the vendor-neutral dispatch layer for
 arbitrating OpenGL API calls between multiple vendors on a per-screen basis.
 .
 This package contains support for OpenGL.

=== debian/rules ===
#!/usr/bin/make -f
#
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_auto_install:
	dh_auto_install
	find debian/tmp -name '*.la' -delete

	# drop GLESv1
	rm -f debian/tmp/usr/lib/*/libGLESv1*

override_dh_missing:
	dh_missing --fail-missing

# needs X
override_dh_auto_test:

override_dh_makeshlibs:
	dh_makeshlibs -a -- -c4

override_dh_bugfiles:
	dh_bugfiles -A

%:
	dh $@ --builddirectory=build/

# For maintainer use only, generate a tarball:
gentarball: SOURCE=libglvnd
gentarball: UV=$(shell dpkg-parsechangelog|awk '/^Version:/ {print $$2}'|sed 's/-.*$$//')
gentarball: ORIG = ../$(SOURCE)_$(UV).orig.tar.gz
gentarball:
	if [ -f $(ORIG) ]; then \
	  echo "$(ORIG) already exists, stopping"; exit 1; \
	fi
	git archive --format=tar upstream-unstable --prefix=$(SOURCE)-$(UV)/ \
	  | gzip -9 > $(ORIG)
	pristine-tar commit $(ORIG) upstream-unstable

## libglvnd 1.0.0+git20180308

=== debian/changelog ===
libglvnd (1.0.0+git20180308-2~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 17 Sep 2018 19:43:30 -0700

libglvnd (1.0.0+git20180308-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Andreas Boll <aboll@debian.org>  Sun, 29 Apr 2018 13:38:28 +0200

libglvnd (1.0.0+git20180308-2) unstable; urgency=medium

  * rules: Disable tests, they fail the build on many archs.
    (Closes: #896602)

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 23 Apr 2018 10:56:11 +0300

libglvnd (1.0.0+git20180308-1) unstable; urgency=medium

  * New upstream snapshot.
    - bump library minor versions to avoid issues with leftover libs
      taking precedence (Closes: #884717)
  * control, rules: Enable tests, build-depend on xauth, xvfb.
  * kfreebsd-hurd.patch: Dropped, upstream.
  * control: Update VCS urls.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 23 Mar 2018 10:15:50 +0200

libglvnd (1.0.0-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Jérémy Viès <jeremy.vies@gmail.com>  Sun, 28 Jan 2018 20:46:12 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: libglvnd
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: Timo Aaltonen <tjaalton@debian.org>
 Build-Depends:
@@ -11,11 +11,13 @@
  python-dev,
  python-libxml2,
  x11proto-gl-dev,
+ xauth,
+ xvfb,
 Standards-Version: 4.1.2
 Section: libs
 Homepage: https://github.com/NVIDIA/libglvnd
-Vcs-Git: https://anonscm.debian.org/git/pkg-xorg/lib/libglvnd.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-xorg/lib/libglvnd.git
+Vcs-Git: https://salsa.debian.org/xorg-team/lib/libglvnd.git
+Vcs-Browser: https://salsa.debian.org/xorg-team/lib/libglvnd.git
 
 Package: libglvnd-dev
 Section: libdevel
@@ -30,13 +32,13 @@
  libopengl0 (= ${binary:Version}),
  ${misc:Depends},
 Breaks:
- libegl1-mesa-dev (<< 18.0.0~rc4-1ubuntu1),
- libgl1-mesa-dev (<< 18.0.0~rc4-1ubuntu1),
- libgles2-mesa-dev (<< 18.0.0~rc4-1ubuntu1),
+ libegl1-mesa-dev (<< 17.2.0~rc4-1),
+ libgl1-mesa-dev (<< 17.2.0~rc4-1),
+ libgles2-mesa-dev (<< 17.2.0~rc4-1),
 Replaces:
- libegl1-mesa-dev (<< 18.0.0~rc4-1ubuntu1),
- libgl1-mesa-dev (<< 18.0.0~rc4-1ubuntu1),
- libgles2-mesa-dev (<< 18.0.0~rc4-1ubuntu1),
+ libegl1-mesa-dev (<< 17.2.0~rc4-1),
+ libgl1-mesa-dev (<< 17.2.0~rc4-1),
+ libgles2-mesa-dev (<< 17.2.0~rc4-1),
 Multi-Arch: same
 Description: Vendor neutral GL dispatch library -- development files
  This is an implementation of the vendor-neutral dispatch layer for
@@ -85,10 +87,10 @@
  libglvnd0 (= ${binary:Version}),
  libegl-mesa0 | libegl-vendor,
 Replaces:
- libegl1-mesa (<< 18.0.0~rc4-1ubuntu1),
+ libegl1-mesa (<< 17.2.0~rc4-1),
  libglvnd0 (<< 0.2.999+git20170201-1)
 Breaks:
- libegl1-mesa (<< 18.0.0~rc4-1ubuntu1),
+ libegl1-mesa (<< 17.2.0~rc4-1),
  libglvnd0 (<< 0.2.999+git20170201-1)
 Multi-Arch: same
 Description: Vendor neutral GL dispatch library -- EGL support
@@ -105,9 +107,9 @@
  ${misc:Depends},
  libglvnd0 (= ${binary:Version}),
 Replaces:
- libgles2-mesa (<< 18.0.0~rc4-1ubuntu1),
+ libgles2-mesa (<< 17.2.0~rc4-1),
 Breaks:
- libgles2-mesa (<< 18.0.0~rc4-1ubuntu1),
+ libgles2-mesa (<< 17.2.0~rc4-1),
 Multi-Arch: same
 Description: Vendor neutral GL dispatch library -- GLES support
  This is an implementation of the vendor-neutral dispatch layer for
@@ -124,10 +126,10 @@
  libglvnd0 (= ${binary:Version}),
  libglx0 (= ${binary:Version}),
 Replaces:
- libgl1-mesa-glx (<< 18.0.0~rc4-1ubuntu1),
+ libgl1-mesa-glx (<< 17.2.0~rc4-1),
  libglvnd0 (<< 0.2.999+git20170201-1)
 Breaks:
- libgl1-mesa-glx (<< 18.0.0~rc4-1ubuntu1),
+ libgl1-mesa-glx (<< 17.2.0~rc4-1),
  libglvnd0 (<< 0.2.999+git20170201-1),
  glx-diversions (<< 0.8),
 Multi-Arch: same
@@ -146,10 +148,10 @@
  libglvnd0 (= ${binary:Version}),
  libglx-mesa0 | libglx-vendor,
 Replaces:
- libgl1-mesa-glx (<< 18.0.0~rc4-1ubuntu1),
+ libgl1-mesa-glx (<< 17.2.0~rc4-1),
  libglvnd0 (<< 0.2.999+git20170201-1)
 Breaks:
- libgl1-mesa-glx (<< 18.0.0~rc4-1ubuntu1),
+ libgl1-mesa-glx (<< 17.2.0~rc4-1),
  libglvnd0 (<< 0.2.999+git20170201-1)
 Multi-Arch: same
 Description: Vendor neutral GL dispatch library -- GLX support

=== debian/rules ===
--- 
+++ 
@@ -13,8 +13,9 @@
 override_dh_missing:
 	dh_missing --fail-missing
 
-# needs X
 override_dh_auto_test:
+#	export DO_X11_TESTS=1
+#	(cd build; xvfb-run -a  make check V=1)
 
 override_dh_makeshlibs:
 	dh_makeshlibs -a -- -c4

## libglvnd 1.1.0

=== debian/changelog ===
libglvnd (1.1.0-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 19 Nov 2018 16:19:13 -0800

libglvnd (1.1.0-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Andreas Boll <aboll@debian.org>  Thu, 11 Oct 2018 15:31:16 +0200

libglvnd (1.1.0-1) unstable; urgency=medium

  * New upstream release.
  * gles: Move libgles1 symbols to the correct package.
  * libgl1.symbols: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 10 Aug 2018 14:50:24 +0300

libglvnd (1.0.0+git20180308-5) unstable; urgency=medium

  * Move libGLESv1 to it's own package.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 08 Aug 2018 17:48:50 +0300

libglvnd (1.0.0+git20180308-4) unstable; urgency=medium

  * rules, libgles2: Add GLESv1 support. (LP: #1782285)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 08 Aug 2018 13:41:21 +0300

libglvnd (1.0.0+git20180308-3) unstable; urgency=medium

  * control: Drop the alternate depends on lib{egl,glx}-vendor, the
    default provided by mesa should always be installed.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 30 May 2018 10:09:59 +0300

=== debian/control ===
--- 
+++ 
@@ -26,6 +26,7 @@
  libglvnd0 (= ${binary:Version}),
  libglvnd-core-dev (= ${binary:Version}),
  libegl1 (= ${binary:Version}),
+ libgles1 (= ${binary:Version}),
  libgles2 (= ${binary:Version}),
  libgl1 (= ${binary:Version}),
  libglx0 (= ${binary:Version}),
@@ -34,10 +35,12 @@
 Breaks:
  libegl1-mesa-dev (<< 17.2.0~rc4-1),
  libgl1-mesa-dev (<< 17.2.0~rc4-1),
+ libgles1-mesa-dev (<< 17.0.0~rc3-1),
  libgles2-mesa-dev (<< 17.2.0~rc4-1),
 Replaces:
  libegl1-mesa-dev (<< 17.2.0~rc4-1),
  libgl1-mesa-dev (<< 17.2.0~rc4-1),
+ libgles1-mesa-dev (<< 17.0.0~rc3-1),
  libgles2-mesa-dev (<< 17.2.0~rc4-1),
 Multi-Arch: same
 Description: Vendor neutral GL dispatch library -- development files
@@ -85,7 +88,7 @@
  ${shlibs:Depends},
  ${misc:Depends},
  libglvnd0 (= ${binary:Version}),
- libegl-mesa0 | libegl-vendor,
+ libegl-mesa0,
 Replaces:
  libegl1-mesa (<< 17.2.0~rc4-1),
  libglvnd0 (<< 0.2.999+git20170201-1)
@@ -99,6 +102,26 @@
  .
  This package contains support for EGL.
 
+Package: libgles1
+Architecture: any
+Pre-Depends: ${misc:Pre-Depends},
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
+ libglvnd0 (= ${binary:Version}),
+Replaces:
+ libgles1-mesa (<< 17.0.0~rc3-1),
+ libgles2 (<< 1.0.0+git20180308-5),
+Breaks:
+ libgles1-mesa (<< 17.0.0~rc3-1),
+ libgles2 (<< 1.0.0+git20180308-5),
+Multi-Arch: same
+Description: Vendor neutral GL dispatch library -- GLESv1 support
+ This is an implementation of the vendor-neutral dispatch layer for
+ arbitrating OpenGL API calls between multiple vendors on a per-screen basis.
+ .
+ This package contains support for GLESv1.
+
 Package: libgles2
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends},
@@ -111,11 +134,11 @@
 Breaks:
  libgles2-mesa (<< 17.2.0~rc4-1),
 Multi-Arch: same
-Description: Vendor neutral GL dispatch library -- GLES support
- This is an implementation of the vendor-neutral dispatch layer for
- arbitrating OpenGL API calls between multiple vendors on a per-screen basis.
- .
- This package contains support for GLES.
+Description: Vendor neutral GL dispatch library -- GLESv2 support
+ This is an implementation of the vendor-neutral dispatch layer for
+ arbitrating OpenGL API calls between multiple vendors on a per-screen basis.
+ .
+ This package contains support for GLESv2.
 
 Package: libgl1
 Architecture: any
@@ -146,7 +169,7 @@
  ${shlibs:Depends},
  ${misc:Depends},
  libglvnd0 (= ${binary:Version}),
- libglx-mesa0 | libglx-vendor,
+ libglx-mesa0,
 Replaces:
  libgl1-mesa-glx (<< 17.2.0~rc4-1),
  libglvnd0 (<< 0.2.999+git20170201-1)

=== debian/rules ===
--- 
+++ 
@@ -6,9 +6,6 @@
 override_dh_auto_install:
 	dh_auto_install
 	find debian/tmp -name '*.la' -delete
-
-	# drop GLESv1
-	rm -f debian/tmp/usr/lib/*/libGLESv1*
 
 override_dh_missing:
 	dh_missing --fail-missing
@@ -22,6 +19,9 @@
 
 override_dh_bugfiles:
 	dh_bugfiles -A
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
 
 %:
 	dh $@ --builddirectory=build/

## libglvnd 1.1.1

=== debian/changelog ===
libglvnd (1.1.1-0ubuntu1) disco; urgency=medium

  * New upstream release. (LP: #1816004)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 13 Mar 2019 20:05:49 +0200

## libglvnd 1.3.0

=== debian/changelog ===
libglvnd (1.3.0-7~mx19+1) mx; urgency=medium

  * Rebuild of upstream release for MX 19.

 -- ”SwampRabbit” <maintainer@mepiscommunity.org>  Wed, 12 Feb 2020 13:58:53 -0500

libglvnd (1.3.0-7) unstable; urgency=medium

  * control: Add libglx-dev to libgl-dev Depends.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 08 Jan 2020 14:11:25 +0200

libglvnd (1.3.0-6) unstable; urgency=medium

  * Move glx headers to libglx-dev. (Closes: #947364)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 08 Jan 2020 10:58:13 +0200

libglvnd (1.3.0-5) unstable; urgency=medium

  * control: Add lib{egl,gl,gles,glx}-dev to libglvnd-dev depends, since
    the .so symlinks have moved.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 20 Dec 2019 21:06:47 +0200

libglvnd (1.3.0-4) unstable; urgency=medium

  * Upload to unstable.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 19 Dec 2019 08:57:14 +0200

libglvnd (1.3.0-3) experimental; urgency=medium

  * fix-armel-build.diff: Attempt to fix build on armel.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 16 Dec 2019 19:31:37 +0200

libglvnd (1.3.0-2) experimental; urgency=medium

  * Update libglvnd0.symbols for arm64.
  * fix-armv7-build.diff: Fix armel/armhf build.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 12 Dec 2019 10:53:22 +0200

libglvnd (1.3.0-1) experimental; urgency=medium

  * New upstream release. (Closes: #930514) (LP: #1816004)
  * Package lib{egl,gl,gles,glx,opengl}-dev, headers etc moved here from
    mesa.
  * libgl1.symbols: Updated.
  * Fold libglvnd-core-dev into libglvnd-dev.
  * control: Drop old Breaks/Replaces.
  * libgles1: Override package-name-doesnt-match-sonames.
  * control: Support nocheck profile for xvfb build-dep. (Closes: #928475)
  * control: Fix lib{egl,gles,glx}-dev depends.
  * Migrate to python3. (Closes: #936868)
  * control, copyright: Update upstream url.
  * copyright: Updated.
  * control, rules: Build with meson.
  * libegl1.symbols: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 06 Dec 2019 08:19:25 +0200

=== debian/control ===
Source: libglvnd
Priority: optional
Maintainer: SwampRabbit <maintainer@mepiscommunity.org>
XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: Timo Aaltonen <tjaalton@debian.org>
Build-Depends:
 debhelper (>= 10),
 meson,
 pkg-config,
 libx11-dev,
 libxext-dev,
 python3-libxml2,
 python3-setuptools,
 x11proto-gl-dev,
 xauth,
 xvfb <!nocheck>,
Standards-Version: 4.1.2
Section: libs
Homepage: https://gitlab.freedesktop.org/glvnd/libglvnd
Vcs-Git: https://salsa.debian.org/xorg-team/lib/libglvnd.git
Vcs-Browser: https://salsa.debian.org/xorg-team/lib/libglvnd.git

Package: libglvnd-dev
Section: libdevel
Architecture: any
Depends:
 libglvnd0 (= ${binary:Version}),
 ${misc:Depends},
 libegl-dev (>= 1.3.0-1),
 libgl-dev (>= 1.3.0-1),
 libgles-dev (>= 1.3.0-1),
 libglx-dev (>= 1.3.0-1),
Breaks:
 libglvnd-core-dev (<< 1.3.0-1),
Replaces:
 libglvnd-core-dev (<< 1.3.0-1),
Multi-Arch: same
Description: Vendor neutral GL dispatch library -- development files
 This is an implementation of the vendor-neutral dispatch layer for
 arbitrating OpenGL API calls between multiple vendors on a per-screen basis.
 .
 This package contains the development files for libglvnd.

Package: libglvnd-core-dev
Section: oldlibs
Architecture: any
Depends:
 libglvnd-dev,
 ${misc:Depends},
Multi-Arch: same
Description: transitional dummy package
 This is a transitional dummy package, it can be safely removed.

Package: libglvnd0
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Breaks:
 libgldispatch0-nvidia,
Replaces:
 libgldispatch0-nvidia,
Multi-Arch: same
Description: Vendor neutral GL dispatch library
 This is an implementation of the vendor-neutral dispatch layer for
 arbitrating OpenGL API calls between multiple vendors on a per-screen basis.
 .
 This package contains the GL dispatch library.

Package: libegl1
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libglvnd0 (= ${binary:Version}),
 libegl-mesa0,
Multi-Arch: same
Description: Vendor neutral GL dispatch library -- EGL support
 This is an implementation of the vendor-neutral dispatch layer for
 arbitrating OpenGL API calls between multiple vendors on a per-screen basis.
 .
 This package contains support for EGL.

Package: libegl-dev
Architecture: any
Depends:
 libegl1 (= ${binary:Version}),
 libgl-dev,
 libx11-dev,
 ${misc:Depends},
Replaces:
 libegl1-mesa-dev (<< 19.3.0~rc6-1),
 libglvnd-dev (<< 1.3.0-1),
Breaks:
 libegl1-mesa-dev (<< 19.3.0~rc6-1),
 libglvnd-dev (<< 1.3.0-1),
Multi-Arch: same
Description: Vendor neutral GL dispatch library -- EGL development files
 This is an implementation of the vendor-neutral dispatch layer for
 arbitrating OpenGL API calls between multiple vendors on a per-screen basis.
 .
 This package provides the development environment for compiling programs
 against the EGL library.

Package: libgles1
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libglvnd0 (= ${binary:Version}),
Multi-Arch: same
Description: Vendor neutral GL dispatch library -- GLESv1 support
 This is an implementation of the vendor-neutral dispatch layer for
 arbitrating OpenGL API calls between multiple vendors on a per-screen basis.
 .
 This package contains support for GLESv1.

Package: libgles2
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libglvnd0 (= ${binary:Version}),
Multi-Arch: same
Description: Vendor neutral GL dispatch library -- GLESv2 support
 This is an implementation of the vendor-neutral dispatch layer for
 arbitrating OpenGL API calls between multiple vendors on a per-screen basis.
 .
 This package contains support for GLESv2.

Package: libgles-dev
Architecture: any
Depends:
 libegl-dev,
 libgl-dev,
 libgles1 (= ${binary:Version}),
 libgles2 (= ${binary:Version}),
 ${misc:Depends},
Replaces:
 libgles2-mesa-dev (<< 19.3.0~rc6-1),
 libglvnd-dev (<< 1.3.0-1),
Breaks:
 libgles2-mesa-dev (<< 19.3.0~rc6-1),
 libglvnd-dev (<< 1.3.0-1),
Multi-Arch: same
Description: Vendor neutral GL dispatch library -- GLES development files
 This is an implementation of the vendor-neutral dispatch layer for
 arbitrating OpenGL API calls between multiple vendors on a per-screen basis.
 .
 This package provides the development environment for compiling programs
 against the GLES libraries.

Package: libgl1
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libglvnd0 (= ${binary:Version}),
 libglx0 (= ${binary:Version}),
Multi-Arch: same
Description: Vendor neutral GL dispatch library -- legacy GL support
 This is an implementation of the vendor-neutral dispatch layer for
 arbitrating OpenGL API calls between multiple vendors on a per-screen basis.
 .
 This package contains support for old libGL for compatibility reasons.

Package: libgl-dev
Architecture: any
Depends:
 libgl1 (= ${binary:Version}),
 libglx-dev,
 ${misc:Depends},
Replaces:
 libgl1-mesa-dev (<< 19.3.0~rc6-1),
 libglvnd-dev (<< 1.3.0-1),
 mesa-common-dev (<< 19.3.0~rc6-1),
Breaks:
 libgl1-mesa-dev (<< 19.3.0~rc6-1),
 libglvnd-dev (<< 1.3.0-1),
 mesa-common-dev (<< 19.3.0~rc6-1),
Multi-Arch: same
Description: Vendor neutral GL dispatch library -- GL development files
 This is an implementation of the vendor-neutral dispatch layer for
 arbitrating OpenGL API calls between multiple vendors on a per-screen basis.
 .
 This package provides the development environment for compiling programs
 against the GL library.

Package: libglx0
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libglvnd0 (= ${binary:Version}),
 libglx-mesa0,
Multi-Arch: same
Description: Vendor neutral GL dispatch library -- GLX support
 This is an implementation of the vendor-neutral dispatch layer for
 arbitrating OpenGL API calls between multiple vendors on a per-screen basis.
 .
 This package contains support for GLX.

Package: libglx-dev
Architecture: any
Depends:
 libglx0 (= ${binary:Version}),
 libx11-dev,
 ${misc:Depends},
Replaces:
 libglvnd-dev (<< 1.3.0-1),
 libgl-dev (<< 1.3.0-6),
 mesa-common-dev (<< 19.3.0~rc6-1),
Breaks:
 libglvnd-dev (<< 1.3.0-1),
 libgl-dev (<< 1.3.0-6),
 mesa-common-dev (<< 19.3.0~rc6-1),
Multi-Arch: same
Description: Vendor neutral GL dispatch library -- GLX development files
 This is an implementation of the vendor-neutral dispatch layer for
 arbitrating OpenGL API calls between multiple vendors on a per-screen basis.
 .
 This package provides the development environment for compiling programs
 against the GLX library.

Package: libopengl0
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libglvnd0 (= ${binary:Version}),
Multi-Arch: same
Description: Vendor neutral GL dispatch library -- OpenGL support
 This is an implementation of the vendor-neutral dispatch layer for
 arbitrating OpenGL API calls between multiple vendors on a per-screen basis.
 .
 This package contains support for OpenGL.

Package: libopengl-dev
Architecture: any
Depends:
 libopengl0 (= ${binary:Version}),
 ${misc:Depends},
Replaces:
 libglvnd-dev (<< 1.3.0-1),
Breaks:
 libglvnd-dev (<< 1.3.0-1),
Multi-Arch: same
Description: Vendor neutral GL dispatch library -- OpenGL development files
 This is an implementation of the vendor-neutral dispatch layer for
 arbitrating OpenGL API calls between multiple vendors on a per-screen basis.
 .
 This package provides the development environment for compiling programs
 against the OpenGL library.

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 #
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+export PYTHON=/usr/bin/python3
 
 override_dh_auto_install:
 	dh_auto_install
@@ -20,11 +22,9 @@
 override_dh_bugfiles:
 	dh_bugfiles -A
 
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
-
 %:
-	dh $@ --builddirectory=build/
+	dh $@ --builddirectory=build/ \
+		--buildsystem=meson
 
 # For maintainer use only, generate a tarball:
 gentarball: SOURCE=libglvnd
@@ -37,3 +37,6 @@
 	git archive --format=tar upstream-unstable --prefix=$(SOURCE)-$(UV)/ \
 	  | gzip -9 > $(ORIG)
 	pristine-tar commit $(ORIG) upstream-unstable
+
+override_dh_shlibdeps:
+	dh_shlibdeps -- -xvirtualbox-guest-x11 --ignore-missing-info

## libglvnd 1.3.1

=== debian/changelog ===
libglvnd (1.3.1-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19 AHS.

 -- ”SwampRabbit” <swamprabbit@mxlinux.org>  Sun, 24 May 2020 10:53:48 -0400

libglvnd (1.3.1-1) unstable; urgency=medium

  * New upstream release.
  * control: Add libopengl-dev to libglvnd-dev depends, since it used to
    carry the .so.
  * patches: Dropped, upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 22 Feb 2020 00:29:41 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: libglvnd
 Priority: optional
-Maintainer: SwampRabbit <maintainer@mepiscommunity.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
 XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: Timo Aaltonen <tjaalton@debian.org>
 Build-Depends:
@@ -30,6 +30,7 @@
  libgl-dev (>= 1.3.0-1),
  libgles-dev (>= 1.3.0-1),
  libglx-dev (>= 1.3.0-1),
+ libopengl-dev (>= 1.3.0-1),
 Breaks:
  libglvnd-core-dev (<< 1.3.0-1),
 Replaces:

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,9 @@
 #export DH_VERBOSE=1
 
 export PYTHON=/usr/bin/python3
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
 
 override_dh_auto_install:
 	dh_auto_install
@@ -37,6 +40,3 @@
 	git archive --format=tar upstream-unstable --prefix=$(SOURCE)-$(UV)/ \
 	  | gzip -9 > $(ORIG)
 	pristine-tar commit $(ORIG) upstream-unstable
-
-override_dh_shlibdeps:
-	dh_shlibdeps -- -xvirtualbox-guest-x11 --ignore-missing-info

## libglvnd 1.3.2

=== debian/changelog ===
libglvnd (1.3.2-1) unstable; urgency=medium

  * update

 -- Debian X Strike Force <debian-x@lists.debian.org>  Thu, 22 Apr 2021 20:16:08 +0800

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: libglvnd
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: Timo Aaltonen <tjaalton@debian.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 12),
  meson,
  pkg-config,
  libx11-dev,
@@ -14,7 +13,7 @@
  x11proto-gl-dev,
  xauth,
  xvfb <!nocheck>,
-Standards-Version: 4.1.2
+Standards-Version: 4.5.0
 Section: libs
 Homepage: https://gitlab.freedesktop.org/glvnd/libglvnd
 Vcs-Git: https://salsa.debian.org/xorg-team/lib/libglvnd.git

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%libglvnd-$1.tar.gz%" \
https://github.com/NVIDIA/libglvnd/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## libglvnd 1.3.3

=== debian/changelog ===
libglvnd (1.3.3-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Timo Aaltonen ]
  * New upstream release.
  * Restore libglvnd-core-dev. (Closes: #979976)
  * rules: Enable tests.
  * control: Drop python3-libxml2 from build-depends, it's not used.
    (Closes: #981417)

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 04 May 2021 16:47:20 +0300

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,6 @@
 #export DH_VERBOSE=1
 
 export PYTHON=/usr/bin/python3
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
 
 override_dh_auto_install:
 	dh_auto_install
@@ -16,8 +13,7 @@
 	dh_missing --fail-missing
 
 override_dh_auto_test:
-#	export DO_X11_TESTS=1
-#	(cd build; xvfb-run -a  make check V=1)
+	xvfb-run -a ninja -C build test
 
 override_dh_makeshlibs:
 	dh_makeshlibs -a -- -c4

## libglvnd 1.3.4

=== debian/changelog ===
libglvnd (1.3.4-1~mx21ahs+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21 AHS.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Mon, 13 Sep 2021 00:26:24 -0400

libglvnd (1.3.4-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 01 Sep 2021 16:20:13 +0300

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: libglvnd
 Priority: optional
-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: Timo Aaltonen <tjaalton@debian.org>
 Build-Depends:
  debhelper-compat (= 12),
@@ -8,7 +9,6 @@
  pkg-config,
  libx11-dev,
  libxext-dev,
- python3-libxml2,
  python3-setuptools,
  x11proto-gl-dev,
  xauth,
@@ -24,16 +24,13 @@
 Architecture: any
 Depends:
  libglvnd0 (= ${binary:Version}),
+ libglvnd-core-dev (= ${binary:Version}),
  ${misc:Depends},
  libegl-dev (>= 1.3.0-1),
  libgl-dev (>= 1.3.0-1),
  libgles-dev (>= 1.3.0-1),
  libglx-dev (>= 1.3.0-1),
  libopengl-dev (>= 1.3.0-1),
-Breaks:
- libglvnd-core-dev (<< 1.3.0-1),
-Replaces:
- libglvnd-core-dev (<< 1.3.0-1),
 Multi-Arch: same
 Description: Vendor neutral GL dispatch library -- development files
  This is an implementation of the vendor-neutral dispatch layer for
@@ -42,14 +39,19 @@
  This package contains the development files for libglvnd.
 
 Package: libglvnd-core-dev
-Section: oldlibs
-Architecture: any
-Depends:
- libglvnd-dev,
- ${misc:Depends},
-Multi-Arch: same
-Description: transitional dummy package
- This is a transitional dummy package, it can be safely removed.
+Section: libdevel
+Architecture: any
+Depends:
+ ${misc:Depends},
+Breaks: libglvnd-dev (<< 1.3.3-1)
+Replaces: libglvnd-dev (<< 1.3.3-1)
+Multi-Arch: same
+Description: Vendor neutral GL dispatch library -- core development files
+ This is an implementation of the vendor-neutral dispatch layer for
+ arbitrating OpenGL API calls between multiple vendors on a per-screen basis.
+ .
+ This package contains the header files for libglvnd split in a separate
+ package for Mesa.
 
 Package: libglvnd0
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,9 @@
 #export DH_VERBOSE=1
 
 export PYTHON=/usr/bin/python3
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
 
 override_dh_auto_install:
 	dh_auto_install
